[Fontconfig] fontconfig: Branch 'master'

Akira TAGOH tagoh at kemper.freedesktop.org
Sun Dec 1 22:54:12 PST 2013


 autogen.sh |    9 +++++++++
 1 file changed, 9 insertions(+)

New commits:
commit 59fd9960bbb58fd6257adb13ec0f918882149332
Author: Akira TAGOH <akira at tagoh.org>
Date:   Mon Dec 2 15:53:57 2013 +0900

    Bug 72086 - Check for gperf in autogen.sh

diff --git a/autogen.sh b/autogen.sh
index 1482e40..29c1fd2 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -24,10 +24,19 @@ LIBTOOLIZE=${LIBTOOLIZE-libtoolize}
 AUTOMAKE=${AUTOMAKE-automake}
 AUTOHEADER=${AUTOHEADER-autoheader}
 AUTOCONF=${AUTOCONF-autoconf}
+GPERF=${GPERF-gperf}
 LIBTOOLIZE_FLAGS="--copy --force"
 
 DIE=0
 
+($GPERF --version) < /dev/null > /dev/null 2>&1 || {
+	echo
+	echo "You must have gperf installed to compile $PROJECT."
+	echo "Install the appropriate package for your distribution."
+	echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+	DIE=1
+}
+
 have_libtool=false
 if $LIBTOOLIZE --version < /dev/null > /dev/null 2>&1 ; then
 	libtool_version=`$LIBTOOLIZE --version | sed 's/^.* \([0-9][.][0-9.]*\)[^ ]*$/\1/'`


More information about the Fontconfig mailing list